commit:     3a54a36607aa7ab4739b52dc0baaa44cf6dab2d0
Author:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> 
de>
AuthorDate: Sat Apr 29 10:40:36 2023 +0000
Commit:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> 
de>
CommitDate: Sat Apr 29 10:40:36 2023 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3a54a366

sci-physics/rivet: add 3.1.7

Bug: https://bugs.gentoo.org/897736
Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>

 sci-physics/rivet/rivet-3.1.7.ebuild | 78 ++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/sci-physics/rivet/rivet-3.1.7.ebuild 
b/sci-physics/rivet/rivet-3.1.7.ebuild
new file mode 100644
index 000000000..48e47114c
--- /dev/null
+++ b/sci-physics/rivet/rivet-3.1.7.ebuild
@@ -0,0 +1,78 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit python-single-r1 flag-o-matic autotools optfeature
+
+MY_PN="Rivet"
+MY_PF=${MY_PN}-${PV}
+
+DESCRIPTION="Rivet toolkit (Robust Independent Validation of Experiment and 
Theory)"
+HOMEPAGE="
+       https://rivet.hepforge.org/
+       https://gitlab.com/hepcedar/rivet
+"
+SRC_URI="https://www.hepforge.org/archive/rivet/${MY_PF}.tar.gz";
+S=${WORKDIR}/${MY_PF}
+
+LICENSE="GPL-3+"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE="+hepmc3 hepmc2 +zlib"
+REQUIRED_USE="
+       ^^ ( hepmc3 hepmc2 )
+       ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+       >=sci-physics/yoda-1.9.5[python(-),${PYTHON_SINGLE_USEDEP}]
+       >=sci-physics/fastjet-3.4.0[plugins]
+       >=sci-physics/fastjet-contrib-1.048
+       hepmc2? ( sci-physics/hepmc:2=[-cm(-),gev(+)] )
+       hepmc3? ( sci-physics/hepmc:3=[-cm(-),gev(+)] )
+
+       sci-libs/gsl
+       zlib? ( sys-libs/zlib )
+
+       ${PYTHON_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/fortran
+       >=dev-python/cython-0.29.24
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.1.6-binreloc.patch
+       "${FILESDIR}"/${P}-ldflags.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # Eigen complains about alignment (see 
https://gitlab.com/libeigen/eigen/-/issues/2523).
+       # does this affect more cpus?
+       replace-cpu-flags znver1 x86-64
+       econf \
+               $(use_with zlib zlib "${ESYSROOT}/usr") \
+               $(usex hepmc2 "--with-hepmc=${ESYSROOT}/usr" "") \
+               $(usex hepmc3 "--with-hepmc3=${ESYSROOT}/usr" "") \
+               --with-yoda="${ESYSROOT}/usr" \
+               --with-fastjet="${ESYSROOT}/usr"
+}
+
+src_install() {
+       default
+       python_optimize
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinstall() {
+       optfeature "plotting support"   virtual/latex-base      
media-gfx/imagemagick   app-text/ghostscript-gpl
+}

Reply via email to